%define name tkcvs
%define ver 6.3
%define rel 3mdk

Summary:	Tk interface for CVS
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Copyright:	GPL
Group:		Development/Other
Source:		http://download.sourceforge.net/tkcvs/%{name}-%{version}.tar.bz2
Source1: 	icons-%{name}.tar.bz2
Patch:		tkcvs-6.3-path.patch.bz2
Url: 		http://www.twobarleycorns.net/
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	tk
Requires:	cvs
BuildArch:	noarch
Serial:		1

%description
tkCVS is a Tk based graphical interface to the CVS configuration
management system.  It includes facilities for providing "user
friendly" names to modules and directories within the repository, and
provides a facility to interactively browse the repository looking for
modules and directories.

%prep
%setup -q
%patch -p0 -b .fred

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{prefix}/{bin,share/tkcvs/bitmaps,share/man/mann}
install tkcvs/tkcvs.blank    $RPM_BUILD_ROOT%{prefix}/bin/tkcvs
install tkcvs/*.tcl          $RPM_BUILD_ROOT%{prefix}/share/tkcvs
install tkcvs/tclIndex       $RPM_BUILD_ROOT%{prefix}/share/tkcvs
install bitmaps/*            $RPM_BUILD_ROOT%{prefix}/share/tkcvs/bitmaps
install tkdiff/tkdiff        $RPM_BUILD_ROOT%{prefix}/bin/tkdiff
install tkcvs/*.n            $RPM_BUILD_ROOT%{prefix}/share/man/mann
rm -f $RPM_BUILD_ROOT%{prefix}/share/tkcvs/tkcvs_def.tcl
mkdir -p $RPM_BUILD_ROOT/etc/cvs
install tkcvs/tkcvs_def.tcl $RPM_BUILD_ROOT/etc/cvs/

#README.tkcvs tkdiff/COPYING tkcvs/vendor.readme tkcvs/branchgen.sh
ln tkdiff/COPYING tkdiff.COPYING 

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
?package(%{name}): needs=x11 icon="tkcvs.xpm" section="Applications/Development/Tools"  title=TkCVS command=tkcvs
?package(%{name}): needs=x11 icon="tkcvs.xpm" section="Applications/Development/Tools"  title=TkDiff command=tkdiff
EOF

#mdk icons 
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%postun

if [ "$1" = 0 -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.tkcvs tkdiff.COPYING tkcvs/vendor.readme README.windows

%attr(755,root,root) %{prefix}/bin/*

%{_datadir}/tkcvs/*.tcl
%{_datadir}/tkcvs/tclIndex
%{_libdir}/menu/%{name}
%{_datadir}/tkcvs/bitmaps/*
%{_iconsdir}

%config(noreplace) /etc/cvs/tkcvs_def.tcl

%attr(644,root, man) /usr/share/man/mann/*

%changelog
* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 6.3-3mdk
- icons forever
- macroz..

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3-2mdk
- noreplace

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3-1mdk
- 6.3

* Tue Mar 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.3b3-1mdk
- 6.3b3

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.2b3-2mdk
- group fix.
- menu support.

* Tue Dec 28 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- change version
- Mandrake adaptations
- default cvsroot to /var/cvs

* Wed Dec 23 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial rpm release
